# Microsoft.Samples.DirectX.UtilityToolkit.ComboBox Class Reference

Combo box control. More...

Inherits Microsoft::Samples::DirectX::UtilityToolkit::Button, Microsoft::Samples::DirectX::UtilityToolkit::Button, and Microsoft::Samples::DirectX::UtilityToolkit::Button.

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.ComboBox:

[legend]

List of all members.

## Public Member Functions
| ComboBox (Dialog parent)
| Create new combo box control.
void | SetDropHeight (int height)
| Sets the drop height of this control.
void | SetScrollbarWidth (int width)
| Sets the scroll bar width of this control.
override void | OnInitialize ()
| Initialize the scrollbar control here.
override void | OnFocusOut ()
| Called when focus leaves the control.
override void | OnHotKey ()
| Called when the control's hotkey is pressed.
override bool | HandleKeyboard (NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Called when the control needs to handle the keyboard.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Called when the control should handle the mouse.
override void | Render (Device device, float elapsedTime)
| Called when the control should be rendered.
void | AddItem (string text, object data)
| Adds an item to the combo box control.
void | RemoveAt (int index)
| Removes an item at a particular index.
void | Clear ()
| Removes all items from the control.
bool | ContainsItem (string text, int start)
| Determines whether this control contains an item.
bool | ContainsItem (string text)
| Determines whether this control contains an item.
object | GetSelectedData ()
| Gets the data for the selected item.
ComboBoxItem | GetSelectedItem ()
| Gets the selected item.
object | GetItemData (string text)
| Gets the data for an item.
void | SetSelected (int index)
| Sets the selected item by index.
void | SetSelected (string text)
| Sets the selected item by text.
void | SetSelectedByData (object data)
| Sets the selected item by data.
| ComboBox (Dialog parent)
| Create new combo box control.
void | SetDropHeight (int height)
| Sets the drop height of this control.
void | SetScrollbarWidth (int width)
| Sets the scroll bar width of this control.
override void | OnInitialize ()
| Initialize the scrollbar control here.
override void | OnFocusOut ()
| Called when focus leaves the control.
override void | OnHotKey ()
| Called when the control's hotkey is pressed.
override bool | HandleKeyboard (NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Called when the control needs to handle the keyboard.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Called when the control should handle the mouse.
override void | Render (Device device, float elapsedTime)
| Called when the control should be rendered.
void | AddItem (string text, object data)
| Adds an item to the combo box control.
void | RemoveAt (int index)
| Removes an item at a particular index.
void | Clear ()
| Removes all items from the control.
bool | ContainsItem (string text, int start)
| Determines whether this control contains an item.
bool | ContainsItem (string text)
| Determines whether this control contains an item.
object | GetSelectedData ()
| Gets the data for the selected item.
ComboBoxItem | GetSelectedItem ()
| Gets the selected item.
object | GetItemData (string text)
| Gets the data for an item.
void | SetSelected (int index)
| Sets the selected item by index.
void | SetSelected (string text)
| Sets the selected item by text.
void | SetSelectedByData (object data)
| Sets the selected item by data.
| ComboBox (Dialog parent)
| Create new combo box control.
void | SetDropHeight (int height)
| Sets the drop height of this control.
void | SetScrollbarWidth (int width)
| Sets the scroll bar width of this control.
override void | OnInitialize ()
| Initialize the scrollbar control here.
override void | OnFocusOut ()
| Called when focus leaves the control.
override void | OnHotKey ()
| Called when the control's hotkey is pressed.
override bool | HandleKeyboard (NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Called when the control needs to handle the keyboard.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Called when the control should handle the mouse.
override void | Render (Device device, float elapsedTime)
| Called when the control should be rendered.
void | AddItem (string text, object data)
| Adds an item to the combo box control.
void | RemoveAt (int index)
| Removes an item at a particular index.
void | Clear ()
| Removes all items from the control.
bool | ContainsItem (string text, int start)
| Determines whether this control contains an item.
bool | ContainsItem (string text)
| Determines whether this control contains an item.
object | GetSelectedData ()
| Gets the data for the selected item.
ComboBoxItem | GetSelectedItem ()
| Gets the selected item.
object | GetItemData (string text)
| Gets the data for an item.
void | SetSelected (int index)
| Sets the selected item by index.
void | SetSelected (string text)
| Sets the selected item by text.
void | SetSelectedByData (object data)
| Sets the selected item by data.
## Public Attributes
const int | MainLayer = 0
const int | ComboButtonLayer = 1
const int | DropdownLayer = 2
const int | SelectionLayer = 3
## Protected Member Functions
void | RaiseChangedEvent (ComboBox sender, bool wasTriggeredByUser)
| Create new button instance.
override void | UpdateRectangles ()
| Update the rectangles for the combo box control.
int | FindItem (string text, int start)
| Finds an item in the list and returns the index.
int | FindItem (string text)
| Finds an item in the list and returns the index.
void | RaiseChangedEvent (ComboBox sender, bool wasTriggeredByUser)
| Create new button instance.
override void | UpdateRectangles ()
| Update the rectangles for the combo box control.
int | FindItem (string text, int start)
| Finds an item in the list and returns the index.
int | FindItem (string text)
| Finds an item in the list and returns the index.
void | RaiseChangedEvent (ComboBox sender, bool wasTriggeredByUser)
| Create new button instance.
override void | UpdateRectangles ()
| Update the rectangles for the combo box control.
int | FindItem (string text, int start)
| Finds an item in the list and returns the index.
int | FindItem (string text)
| Finds an item in the list and returns the index.
## Protected Attributes
int | selectedIndex
int | focusedIndex
int | dropHeight
ScrollBar | scrollbarControl
int | scrollWidth
bool | isComboOpen
System.Drawing.Rectangle | textRect
System.Drawing.Rectangle | buttonRect
System.Drawing.Rectangle | dropDownRect
System.Drawing.Rectangle | dropDownTextRect
ArrayList | itemList
## Properties
override bool | CanHaveFocus`[get]`
| Can this control have focus.
int | NumberItems`[get]`
| Number of items current in the list.
ComboBoxItem | this [int index]`[get]`
| Indexer for items in the list.
## Events
EventHandler | Changed

## Detailed Description

Combo box control.

Definition at line 2843 of file dxmutgui.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.ComboBox | ( | Dialog | parent | ) |

Create new combo box control.

Definition at line 2882 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.ComboBox | ( | Dialog | parent | ) |

Create new combo box control.

Definition at line 2882 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.ComboBox | ( | Dialog | parent | ) |

Create new combo box control.

Definition at line 2887 of file wdxmutgui.cs.

## Member Function Documentation

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.AddItem | ( | string | text,
|  | object | data |
| ) |  |  |

Adds an item to the combo box control.

Definition at line 3367 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.AddItem | ( | string | text,
|  | object | data |
| ) |  |  |

Adds an item to the combo box control.

Definition at line 3361 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.AddItem | ( | string | text,
|  | object | data |
| ) |  |  |

Adds an item to the combo box control.

Definition at line 3361 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.Clear | ( |  | ) |

Removes all items from the control.

Definition at line 3404 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.Clear | ( |  | ) |

Removes all items from the control.

Definition at line 3398 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.Clear | ( |  | ) |

Removes all items from the control.

Definition at line 3398 of file dxmutgui.cs.

Here is the caller graph for this function:

bool Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.ContainsItem | ( | string | text | ) |

Determines whether this control contains an item.

Definition at line 3420 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

bool Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.ContainsItem | ( | string | text,
|  | int | start |
| ) |  |  |

Determines whether this control contains an item.

Definition at line 3415 of file wdxmutgui.cs.

bool Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.ContainsItem | ( | string | text | ) |

Determines whether this control contains an item.

Definition at line 3414 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

bool Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.ContainsItem | ( | string | text,
|  | int | start |
| ) |  |  |

Determines whether this control contains an item.

Definition at line 3409 of file dxmutgui.cs.

bool Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.ContainsItem | ( | string | text | ) |

Determines whether this control contains an item.

Definition at line 3414 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

bool Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.ContainsItem | ( | string | text,
|  | int | start |
| ) |  |  |

Determines whether this control contains an item.

Definition at line 3409 of file dxmutgui.cs.

int Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.FindItem | ( | string | text | ) | `[protected]`

Finds an item in the list and returns the index.

Definition at line 3471 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

int Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.FindItem | ( | string | text,
|  | int | start |
| ) |  |  | `[protected]`

Finds an item in the list and returns the index.

Definition at line 3453 of file wdxmutgui.cs.

int Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.FindItem | ( | string | text | ) | `[protected]`

Finds an item in the list and returns the index.

Definition at line 3465 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

int Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.FindItem | ( | string | text,
|  | int | start |
| ) |  |  | `[protected]`

Finds an item in the list and returns the index.

Definition at line 3447 of file dxmutgui.cs.

int Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.FindItem | ( | string | text | ) | `[protected]`

Finds an item in the list and returns the index.

Definition at line 3465 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

int Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.FindItem | ( | string | text,
|  | int | start |
| ) |  |  | `[protected]`

Finds an item in the list and returns the index.

Definition at line 3447 of file dxmutgui.cs.

object Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.GetItemData | ( | string | text | ) |

Gets the data for an item.

Definition at line 3442 of file wdxmutgui.cs.

object Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.GetItemData | ( | string | text | ) |

Gets the data for an item.

Definition at line 3436 of file dxmutgui.cs.

object Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.GetItemData | ( | string | text | ) |

Gets the data for an item.

Definition at line 3436 of file dxmutgui.cs.

object Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.GetSelectedData | ( |  | ) |

Gets the data for the selected item.

Definition at line 3423 of file wdxmutgui.cs.

object Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.GetSelectedData | ( |  | ) |

Gets the data for the selected item.

Definition at line 3417 of file dxmutgui.cs.

object Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.GetSelectedData | ( |  | ) |

Gets the data for the selected item.

Definition at line 3417 of file dxmutgui.cs.

ComboBoxItem Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.GetSelectedItem | ( |  | ) |

Gets the selected item.

Definition at line 3433 of file wdxmutgui.cs.

ComboBoxItem Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.GetSelectedItem | ( |  | ) |

Gets the selected item.

Definition at line 3427 of file dxmutgui.cs.

ComboBoxItem Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.GetSelectedItem | ( |  | ) |

Gets the selected item.

Definition at line 3427 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.HandleKeyboard | ( | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Called when the control needs to handle the keyboard.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 2995 of file wdxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.HandleKeyboard | ( | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Called when the control needs to handle the keyboard.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 2989 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.HandleKeyboard | ( | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Called when the control needs to handle the keyboard.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 2989 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Called when the control should handle the mouse.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 3080 of file wdxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Called when the control should handle the mouse.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 3074 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Called when the control should handle the mouse.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 3074 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.OnFocusOut | ( |  | ) | `[virtual]`

Called when focus leaves the control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2970 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.OnFocusOut | ( |  | ) | `[virtual]`

Called when focus leaves the control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2964 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.OnFocusOut | ( |  | ) | `[virtual]`

Called when focus leaves the control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2964 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.OnHotKey | ( |  | ) | `[virtual]`

Called when the control's hotkey is pressed.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 2977 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.OnHotKey | ( |  | ) | `[virtual]`

Called when the control's hotkey is pressed.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 2971 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.OnHotKey | ( |  | ) | `[virtual]`

Called when the control's hotkey is pressed.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 2971 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.OnInitialize | ( |  | ) | `[virtual]`

Initialize the scrollbar control here.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2964 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.OnInitialize | ( |  | ) | `[virtual]`

Initialize the scrollbar control here.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2958 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.OnInitialize | ( |  | ) | `[virtual]`

Initialize the scrollbar control here.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2958 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.RaiseChangedEvent | ( | ComboBox | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Create new button instance.

Definition at line 2857 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.RaiseChangedEvent | ( | ComboBox | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Create new button instance.

Definition at line 2852 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.RaiseChangedEvent | ( | ComboBox | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Create new button instance.

Definition at line 2852 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.RemoveAt | ( | int | index | ) |

Removes an item at a particular index.

Definition at line 3391 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.RemoveAt | ( | int | index | ) |

Removes an item at a particular index.

Definition at line 3385 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.RemoveAt | ( | int | index | ) |

Removes an item at a particular index.

Definition at line 3385 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Called when the control should be rendered.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 3228 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Called when the control should be rendered.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 3222 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Called when the control should be rendered.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 3222 of file dxmutgui.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetDropHeight | ( | int | height | ) |

Sets the drop height of this control.

Definition at line 2950 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetDropHeight | ( | int | height | ) |

Sets the drop height of this control.

Definition at line 2944 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetDropHeight | ( | int | height | ) |

Sets the drop height of this control.

Definition at line 2944 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetScrollbarWidth | ( | int | width | ) |

Sets the scroll bar width of this control.

Definition at line 2952 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetScrollbarWidth | ( | int | width | ) |

Sets the scroll bar width of this control.

Definition at line 2946 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetScrollbarWidth | ( | int | width | ) |

Sets the scroll bar width of this control.

Definition at line 2946 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetSelected | ( | string | text | ) |

Sets the selected item by text.

Definition at line 3484 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetSelected | ( | int | index | ) |

Sets the selected item by index.

Definition at line 3474 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetSelected | ( | string | text | ) |

Sets the selected item by text.

Definition at line 3478 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetSelected | ( | int | index | ) |

Sets the selected item by index.

Definition at line 3468 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetSelected | ( | string | text | ) |

Sets the selected item by text.

Definition at line 3478 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetSelected | ( | int | index | ) |

Sets the selected item by index.

Definition at line 3468 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetSelectedByData | ( | object | data | ) |

Sets the selected item by data.

Definition at line 3498 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetSelectedByData | ( | object | data | ) |

Sets the selected item by data.

Definition at line 3492 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.SetSelectedByData | ( | object | data | ) |

Sets the selected item by data.

Definition at line 3492 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Update the rectangles for the combo box control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2908 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Update the rectangles for the combo box control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2902 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.ComboBox.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Update the rectangles for the combo box control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2902 of file dxmutgui.cs.

## Member Data Documentation

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::buttonRect`[protected]`

Definition at line 2875 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::ComboButtonLayer = 1

Definition at line 2846 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::DropdownLayer = 2

Definition at line 2847 of file dxmutgui.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::dropDownRect`[protected]`

Definition at line 2876 of file dxmutgui.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::dropDownTextRect`[protected]`

Definition at line 2877 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::dropHeight`[protected]`

Definition at line 2870 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::focusedIndex`[protected]`

Definition at line 2869 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::isComboOpen`[protected]`

Definition at line 2873 of file dxmutgui.cs.

ArrayList Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::itemList`[protected]`

Definition at line 2878 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::MainLayer = 0

Definition at line 2845 of file dxmutgui.cs.

ScrollBar Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::scrollbarControl`[protected]`

Definition at line 2871 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::scrollWidth`[protected]`

Definition at line 2872 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::selectedIndex`[protected]`

Definition at line 2868 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::SelectionLayer = 3

Definition at line 2848 of file dxmutgui.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::textRect`[protected]`

Definition at line 2874 of file dxmutgui.cs.

## Property Documentation

override bool Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::CanHaveFocus`[get]`

Can this control have focus.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Button.

Definition at line 2948 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::NumberItems`[get]`

Number of items current in the list.

Definition at line 2950 of file dxmutgui.cs.

ComboBoxItem Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::this`[get]`

Indexer for items in the list.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 2953 of file dxmutgui.cs.

## Event Documentation

EventHandler Microsoft::Samples::DirectX::UtilityToolkit.ComboBox::Changed

Definition at line 2850 of file dxmutgui.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutgui.cs